Annotation Channel

Fetching annotation channel via this endpoints.

LIST

Return a collection of annotation channel.

Example of fetching annotation channel list

Request

GET /annotation-channels HTTP/1.1

Response

{
	"data": [
		{
			"id": 1,
			"handle": "customer",
			"name": {
				"de": "Endkunde"
			},
			"created_at": "2022-12-20T08:14:02+00:00",
			"updated_at": "2022-12-20T08:14:02+00:00"
		},
		{
			"id": 2,
			"handle": "agent",
			"name": {
				"de": "Kundenbetreuer"
			},
			"created_at": "2022-12-20T08:14:02+00:00",
			"updated_at": "2022-12-20T08:14:02+00:00"
		},
		{
			"id": 3,
			"handle": "production",
			"name": {
				"de": "Produktion"
			},
			"created_at": "2022-12-20T08:14:02+00:00",
			"updated_at": "2022-12-20T08:14:02+00:00"
		}
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": null
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/annotation-channels",
		"per_page": 15,
		"next_cursor": null,
		"prev_cursor": null
	}
}

GET

Return a annotation channel of given id = x.

Example of fetching specified annotation channel

Request

GET /annotation-channels/1 HTTP/1.1

Response

{
	"id": 1,
	"handle": "customer",
	"name": {
		"de": "Endkunde"
	},
	"created_at": "2022-12-20T08:14:02+00:00",
	"updated_at": "2022-12-20T08:14:02+00:00"
}